<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<root>
  <item name="com.intellij.jupyter.core.jupyter.connections.execution.notebook.JupyterSessionLifetimeListenerKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.26094.121&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jupyter.core.jupyter.connections.execution.notebook.JupyterSessionLifetimeListenerKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jupyter.core.jupyter.connections.execution.notebook.ManagedJupyterServerNotebookSessionSettings">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jupyter.core.jupyter.connections.execution.notebook.JupyterRuntimeService java.lang.Object recreateSession(com.intellij.jupyter.core.core.impl.file.BackedNotebookVirtualFile, kotlin.coroutines.Continuation&lt;? super com.intellij.jupyter.core.jupyter.connections.execution.core.JupyterNotebookSession&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jupyter.core.jupyter.connections.execution.notebook.ManagedJupyterServerNotebookSessionSettings ManagedJupyterServerNotebookSessionSettings(com.intellij.jupyter.core.jupyter.connections.settings.config.JupyterManagedServerConfig, com.intellij.jupyter.core.jupyter.server.common.JupyterServerExecution, com.intellij.jupyter.core.jupyter.connections.execution.core.JupyterNotebookSession)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.27642.30&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jupyter.core.jupyter.connections.execution.notebook.JupyterNotebookSessionSettings">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jupyter.core.jupyter.connections.execution.notebook.JupyterNotebookConnectionListener">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jupyter.core.jupyter.connections.execution.notebook.JupyterKernelInstaller">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jupyter.core.jupyter.connections.execution.notebook.JupyterNotebookRuntimeSettings">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jupyter.core.jupyter.connections.execution.notebook.JupyterRuntimeService java.util.Collection&lt;com.intellij.jupyter.core.jupyter.connections.execution.core.JupyterNotebookSession&gt; getAllSessions()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;252.23892.360&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jupyter.core.jupyter.connections.execution.notebook.JupyterRemoteFileWritingAccessProvider">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jupyter.core.jupyter.connections.execution.notebook.JupyterRuntimeService java.lang.Object switchKernel(com.intellij.jupyter.core.core.impl.file.BackedNotebookVirtualFile, com.intellij.jupyter.core.jupyter.nbformat.JupyterKernelSpec, kotlin.coroutines.Continuation&lt;? super kotlin.Unit&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jupyter.core.jupyter.connections.execution.notebook.JupyterRuntimeService kotlinx.coroutines.Job clearRuntime(com.intellij.openapi.editor.Editor)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;252.23892.360&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jupyter.core.jupyter.connections.execution.notebook.JupyterRuntimeListener TOPIC">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jupyter.core.jupyter.connections.execution.notebook.JupyterRuntimeService com.intellij.jupyter.core.jupyter.connections.execution.core.JupyterNotebookSession getNotebookSession(com.intellij.jupyter.core.core.impl.file.BackedNotebookVirtualFile)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jupyter.core.jupyter.connections.execution.notebook.WithSession">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jupyter.core.jupyter.connections.execution.notebook.JupyterRuntimeService java.util.List&lt;com.intellij.jupyter.core.jupyter.nbformat.JupyterKernelSpec&gt; getAvailableKernels(com.intellij.jupyter.core.core.impl.file.BackedNotebookVirtualFile)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;252.23892.360&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jupyter.core.jupyter.connections.execution.notebook.JupyterRuntimeService com.intellij.jupyter.core.jupyter.nbformat.JupyterKernelSpec getKernel(com.intellij.jupyter.core.core.impl.file.BackedNotebookVirtualFile)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;252.23892.360&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jupyter.core.jupyter.connections.execution.notebook.JupyterNotebookConnectionListener com.intellij.openapi.vfs.VirtualFile getFile()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.20558.43&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jupyter.core.jupyter.connections.execution.notebook.JupyterNotebookConnectionListener JupyterNotebookConnectionListener(com.intellij.openapi.editor.impl.EditorImpl, com.intellij.openapi.project.Project, com.intellij.openapi.vfs.VirtualFile)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.20558.43&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jupyter.core.jupyter.connections.execution.notebook.JupyterKernelChooser">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jupyter.core.jupyter.connections.execution.notebook.JupyterSessionLifetimeListener">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.26094.121&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jupyter.core.jupyter.connections.execution.notebook.JupyterSessionLifetimeListener">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.17525.95&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jupyter.core.jupyter.connections.execution.notebook.JupyterRuntimeService.Listener">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;252.23892.360&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jupyter.core.jupyter.connections.execution.notebook.JupyterNotebookOfflineSettings">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jupyter.core.jupyter.connections.execution.notebook.JupyterRuntimeService java.lang.Object getFilesForSession(com.intellij.jupyter.core.jupyter.connections.session.JupyterSessionData, kotlin.coroutines.Continuation&lt;? super java.util.List&lt;? extends com.intellij.openapi.vfs.VirtualFile&gt;&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;252.23892.360&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jupyter.core.jupyter.connections.execution.notebook.JupyterRuntimeService">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jupyter.core.jupyter.connections.execution.notebook.JupyterRuntimeService">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.20558.43&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jupyter.core.jupyter.connections.execution.notebook.ManagedJupyterServerNotebookSessionSettings com.intellij.jupyter.core.jupyter.server.common.JupyterServerExecution getJupyterServerExecution()">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;253.27642.30&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jupyter.core.jupyter.connections.execution.notebook.JupyterRuntimeService kotlinx.coroutines.Job clearRuntime(com.intellij.openapi.vfs.VirtualFile)">
    <annotation name="org.jetbrains.annotations.ApiStatus.ScheduledForRemoval">
      <val name="inVersion" val="&quot;252.23892.360&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.jupyter.core.jupyter.connections.execution.notebook.JupyterNotebookRuntimeSettingsWithSession">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
</root>
